//
// Generated by SwagGen
// https://github.com/yonaskolb/SwagGen
//

import Foundation
import JSONUtilities

public class GetFoyerResponse: JSONDecodable, JSONEncodable, PrettyPrintable {

    public var foyers: [Foyer]?

    public var immeuble: Int?

    public init(foyers: [Foyer]? = nil, immeuble: Int? = nil) {
        self.foyers = foyers
        self.immeuble = immeuble
    }

    public required init(jsonDictionary: JSONDictionary) throws {
        foyers = jsonDictionary.json(atKeyPath: "foyers")
        immeuble = jsonDictionary.json(atKeyPath: "immeuble")
    }

    public func encode() -> JSONDictionary {
        var dictionary: JSONDictionary = [:]
        if let foyers = foyers?.encode() {
            dictionary["foyers"] = foyers
        }
        if let immeuble = immeuble {
            dictionary["immeuble"] = immeuble
        }
        return dictionary
    }

    /// pretty prints all properties including nested models
    public var prettyPrinted: String {
        return "\(Swift.type(of: self)):\n\(encode().recursivePrint(indentIndex: 1))"
    }
}
